How to install Phalcon framework for a PHP supplied by Plesk?

Follow

Comments

3 comments

  • Avatar
    Maxim Krasikov (Edited )

    Hello @xdev,

    Please make sure that the default system repositories for Ubuntu 18 are configured in /etc/apt/sources.list file:

    CONFIG_TEXT: deb http://archive.ubuntu.com/ubuntu bionic main restricted universe
    deb http://archive.ubuntu.com/ubuntu bionic-updates main restricted universe
    deb http://security.ubuntu.com/ubuntu bionic-security main restricted universe multiverse
    deb http://archive.canonical.com/ubuntu bionic partner

    If the solutions is not helpful, please contact Plesk support for assistance:
    https://support.plesk.com/hc/en-us/requests/new

    0
    Comment actions Permalink
  • Avatar
    xdev

    OK, maybe you also need to:

    - Install the required handler versions, in that case for PHP 7.2:
        "plesk installer --select-release-current --install-component php7.2"

    - Install the C/C++ linkers & compilers (package "build-essential", before executing the "./install ..." command)

    - Install GIT (package "git", before phalcon git pull command)

    0
    Comment actions Permalink
  • Avatar
    Alexey Lapshin

    Hello xdev,

    Thank you for pointing our attention on that. The article updated with appropriate notation.

    0
    Comment actions Permalink

Please sign in to leave a comment.

Have more questions? Submit a request